/*
 Copyright 2017 by Kurt Hindenburg <kurt.hindenburg@gmail.com>

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License or (at your option) version 3 or any later version
 accepted by the membership of KDE e.V. (or its successor approved
 by the membership of KDE e.V.), which shall act as a proxy 
 defined in Section 14 of version 3 of the license.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DEMO_KONSOLEPART_H
#define DEMO_KONSOLEPART_H

#include <kde_terminal_interface.h>
#include <KMainWindow>
#include <KParts/Part>
#include <KParts/ReadOnlyPart>

class demo_konsolepart : public KMainWindow
{
    Q_OBJECT
public:
    demo_konsolepart();

    ~demo_konsolepart() override;

    void manageProfiles();

public Q_SLOTS:
    void quit();

private:
    Q_DISABLE_COPY(demo_konsolepart)

    KParts::ReadOnlyPart* createPart();

    KMainWindow *_mainWindow;
    KParts::ReadOnlyPart *_terminalPart;
    TerminalInterface *_terminal;

};

#endif
